tigase.server

## Class Presence

- java.lang.Object
- - tigase.server.Packet
  - - tigase.server.Presence

-     public class Presence
      extends Packet

  Created: Dec 31, 2009 8:42:05 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME` Field description
    `static String[]` | `PRESENCE_ERROR_PATH` Field description
    `static String[]` | `PRESENCE_PRIORITY_PATH` Field description

    - ### Fields inherited from class tigase.server.Packet

      `CLIENT_XMLNS, elem, FROM_ATT, FULL_DEBUG, ID_ATT, PERM_ATT, PRIORITY_ATT, TO_ATT, TYPE_ATT, XMLNS_ATT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Presence(tigase.xml.Element elem)` Constructs ...
    `Presence(tigase.xml.Element elem, tigase.xmpp.JID stanzaFrom, tigase.xmpp.JID stanzaTo)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String[]` | `getElNameErrorPath()` Method description

    - ### Methods inherited from class tigase.server.Packet

      `copyElementOnly, debug, elemToString, elemToStringSecure, errorResult, getAttribute, getAttribute, getAttribute, getAttributeStaticStr, getAttributeStaticStr, getCommand, getElemCData, getElemCData, getElemCData, getElemCDataStaticStr, getElemChildren, getElemChildren, getElemChildrenStaticStr, getElement, getElemFrom, getElemName, getElemTo, getErrorCondition, getFrom, getPacketFrom, getPacketTo, getPermissions, getPriority, getProcessorsIds, getStanzaFrom, getStanzaId, getStanzaTo, getTo, getType, getXMLNS, initVars, initVars, isCommand, isElement, isRouted, isServiceDisco, isXMLNS, isXMLNS, isXMLNSStaticStr, okResult, okResult, packetInstance, packetInstance, packetInstance, packRouted, processedBy, setPacketFrom, setPacketTo, setPermissions, setPriority, setXMLNS, swapElemFromTo, swapElemFromTo, swapFromTo, swapFromTo, swapStanzaFromTo, swapStanzaFromTo, toString, toString, toStringFull, toStringSecure, unpackRouted, wasProcessed, wasProcessedBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      Field description
      See Also:
        Constant Field Values

    - #### PRESENCE_ERROR_PATH

          public static final String[] PRESENCE_ERROR_PATH

      Field description

    - #### PRESENCE_PRIORITY_PATH

          public static final String[] PRESENCE_PRIORITY_PATH

      Field description

  - ### Constructor Detail

    - #### Presence

          public Presence(tigase.xml.Element elem)
                   throws tigase.util.TigaseStringprepException

      Constructs ...
      Parameters:
        `elem` -
      Throws:
        `tigase.util.TigaseStringprepException`

    - #### Presence

          public Presence(tigase.xml.Element elem,
                  tigase.xmpp.JID stanzaFrom,
                  tigase.xmpp.JID stanzaTo)

      Constructs ...
      Parameters:
        `elem` -
        `stanzaFrom` -
        `stanzaTo` -

  - ### Method Detail

    - #### getElNameErrorPath

          protected String[] getElNameErrorPath()

      Method description
      Overrides:
        `getElNameErrorPath` in class `Packet`
      Returns:
        XML path to error element.

Copyright © 2014 "Tigase, Inc.". All rights reserved.